Bug 806328 - missing /usr/share/locale/brx
missing /usr/share/locale/brx
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: filesystem (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 08:59 EDT by Parag Nemade
Modified: 2012-03-29 06:41 EDT (History)
4 users (show)

See Also:
Fixed In Version: filesystem-3.1-1.fc18.i686.rpm
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-29 06:41:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2012-03-23 08:59:05 EDT
Description of problem:
filesystem creates locale directories using iso_639.xml file but that is old standard. New one is iso639_3.xml. We have brx_IN locale added recently. But there is no /usr/share/locale/brx directory.

Version-Release number of selected component (if applicable):
filesystem-3.2

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
no directory present /usr/share/locale/brx

Expected results:
should create /usr/share/locale/brx

Additional info:
Comment 1 Ondrej Vasik 2012-03-23 10:41:22 EDT
Thanks for report.
I checked the iso639.xml file and 68 three-letter id's are not in iso639_3.xml file. Mostly it seems to affect language groups - but I see there Moldovian and Bihari (which are individual). On the other hand - 7283 three-letter shortcuts from the iso639_3.xml are missing in iso_639.xml - that's quite huge number. I'm not really sure if we want to own and create all these in filesystem.
Comment 2 Parag Nemade 2012-03-25 22:58:50 EDT
I will request you to add this directory commenting in spec "rh#806328:create Bodo language locale directory whose langcode is not present in iso639.xml"

we can add such directories at least when reported by someone till it really need to find another solution.
Comment 3 Ondrej Vasik 2012-03-29 06:41:12 EDT
brx locale added into lang-exceptions in Rawhide. I did the sed script for getting locale dir from all iso-639-3 locales, but will not apply it at the moment - the number of locales is too huge, so I will add them manually once anyone complains.

$ rpm -qlp filesystem-3.1-1.fc18.i686.rpm | grep brx
/usr/share/locale/brx
/usr/share/locale/brx/LC_MESSAGES
/usr/share/man/brx
/usr/share/man/brx/man0p
/usr/share/man/brx/man1
/usr/share/man/brx/man1p
/usr/share/man/brx/man1x
/usr/share/man/brx/man2
/usr/share/man/brx/man2x
/usr/share/man/brx/man3
/usr/share/man/brx/man3p
/usr/share/man/brx/man3x
/usr/share/man/brx/man4
/usr/share/man/brx/man4x
/usr/share/man/brx/man5
/usr/share/man/brx/man5x
/usr/share/man/brx/man6
/usr/share/man/brx/man6x
/usr/share/man/brx/man7
/usr/share/man/brx/man7x
/usr/share/man/brx/man8
/usr/share/man/brx/man8x
/usr/share/man/brx/man9
/usr/share/man/brx/man9x
/usr/share/man/brx/mann

Closing RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.